/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmSubFsm.h
 * version 2
 */
#ifndef TSM_SUBFSM_H
#define TSM_SUBFSM_H

#include "TsmState.h"
#include "TsmFsm.h"
using namespace std;

namespace TsmRTE
{
  class TsmHandler;

  class TsmSubFsm : public TsmState
  {
  protected:
    TsmFsm* oFsm;

  public:
    virtual ~TsmSubFsm()
    {
      delete oFsm;
    }

    void ExecuteTrigger( TsmHandler& oHandler );
    void Initial( TsmHandler& oHandler );
    void AtExit( TsmHandler& oHandler );
    TsmFsm* SwapFsms( TsmFsm* Target2Source );
    string TsmSnap();
    void TsmCheckVisit();
    virtual void ExecuteTriggerSubFsm( TsmHandler& oHandler );

    virtual void AtMyExit( TsmHandler& oHandler )
    {
    }

    bool IsTsmSubFsm()
    {
      return true;
    }
  };
}
#endif
